Opened 5 years ago

Closed 5 years ago

#263 closed defect (fixed)

Conflict between netifaces and python-netifaces packages on Fedora 20

Reported by: Radek Novacek Owned by: Radek Novacek
Priority: minor Milestone:
Component: Global Keywords:
Cc:

Description

There is a file conflict between netifaces and python-netifaces packages in the winswitch repo for Fedora 20:

file /usr/lib64/python2.7/site-packages/netifaces.so from install of python-netifaces-0.10.4-1.fc20.x86_64 conflicts with file from package netifaces-0.10.4-1.fc20.x86_64

Both of netifaces-0.10.4-1.fc20.x86_64 and python-netifaces-0.10.4-1.fc20.x86_64 are in the winswitch repo, conflicting with each other.

It looks like the xpra package used to depend on netifaces but it depends on python-netifaces now, but python-netifaces is not coinstallable with netifaces.

My guess would be that the python-netifaces is missing Obsoletes: netifaces.

Change History (4)

comment:1 Changed 5 years ago by Radek Novacek

Component: AndroidGlobal
Priority: majorminor

comment:2 Changed 5 years ago by Antoine gmail

Owner: set to Antoine gmail
Status: newaccepted

comment:3 Changed 5 years ago by Antoine gmail

Owner: changed from Antoine gmail to Radek Novacek
Status: acceptedassigned

Updated python-netifaces-0.10.4-2 packages are in the release area.

If those work for you, please close the ticket.

Last edited 5 years ago by Antoine gmail (previous) (diff)

comment:4 Changed 5 years ago by Radek Novacek

Resolution: fixed
Status: assignedclosed

It's now correct, see part of installation summary:

python-netifaces                                            x86_64                                           0.10.4-2.fc20                                            winswitch                                            16 k
     replacing  netifaces.x86_64 0.10.4-1.fc20
Note: See TracTickets for help on using tickets.